<template>
  <div>
    <nuxt-link
      class="fr-link fr-icon-arrow-left-line fr-link--icon-left"
      :to="{ name: 'investigations' }"
      >Retour à la liste</nuxt-link
    >
    <FrTitle class="fr-col-12 fr-mb-6w" centered larger>
      {{ investigation.nom || 'Investigation' }}
    </FrTitle>
    <FrSubTitle v-if="investigation.entity" class="fr-mb-0" black>
      <strong>Localisation :</strong> {{ investigation.entity }}
    </FrSubTitle>
    <FrSubTitle v-if="investigation.mission" black>
      <strong>Mission :</strong> {{ investigation.mission }}
    </FrSubTitle>

    <section v-if="investigation.fiche_de_probleme" class="fr-mb-8w">
      <FrTitle tag="h3" black>Fiche Problème</FrTitle>
      <div
        class="anct-html-content"
        v-html="investigation.fiche_de_probleme"
      ></div>
    </section>

    <section
      v-if="investigation.blogs && investigation.blogs.length"
      class="fr-mb-8w"
    >
      <div
        v-for="(blog, index) in investigation.blogs"
        :key="`investigation-blog${index}`"
      >
        <FrTitle tag="h3" black>{{ blog.titre }}</FrTitle>
        <div class="anct-html-content" v-html="blog.body"></div>
      </div>
    </section>

    <section v-if="investigation.conclusion" class="fr-mb-8w">
      <h3>Conclusion</h3>
      <div class="anct-html-content" v-html="investigation.conclusion"></div>
    </section>
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';
import FrSubTitle from '~/components/ui/SubTitle';

export default {
  name: 'InvestigationPage',
  components: { FrSubTitle, FrTitle },
  async asyncData({ $axios, params, redirect }) {
    const { data } = await $axios.get('/items/investigations', {
      params: {
        fields:
          'nom,mission,status,communes,departements,regions,epcis,fiche_de_probleme,blogs.titre,blogs.body,conclusion,communes.communes_id.nom,epcis.epcis_id.nom,departements.departements_id.nom,regions.regions_id.nom',
        filter: { id: { _eq: params.id } },
      },
    });

    const [investigation] = data.data.map((rawInvestigation) => {
      const entity =
        rawInvestigation.communes[0]?.communes_id.nom ||
        rawInvestigation.epcis[0]?.epcis_id.nom ||
        rawInvestigation.departements[0]?.departements_id.nom ||
        rawInvestigation.regions[0]?.regions_id.nom;

      return {
        ...rawInvestigation,
        entity,
      };
    });

    if (!investigation) {
      return redirect({ name: 'investigations' });
    }

    return {
      investigation,
    };
  },
};
</script>

<style scoped>
/deep/ .anct-html-content blockquote {
  margin-left: 0;
  border-left: 4px solid var(--blue-france-main-525);
  padding-left: 16px;
}

/deep/ .anct-html-content blockquote p {
  margin-bottom: 0;
}

/deep/ .anct-html-content blockquote p strong {
  font-weight: normal;
}

/deep/ .anct-html-content ul,
/deep/ .anct-html-content ol {
  margin-left: 24px;
  margin-bottom: 16px;
}

/deep/ .anct-html-content ul p {
  margin-bottom: 8px;
}

/deep/ .anct-html-content h2 {
  margin-top: 48px;
  font-size: 16px;
}

/deep/ img {
  height: auto;
  max-width: 50%;
}
</style>
